//*****************************************************************************
//*
//*
//*		HttpFolderPlugin.h
//*
//*
//*****************************************************************************
//
//	This plugin allows to show the files of a folder in a html side.
//
#ifndef 	__HTTPFOLDERPLUGIN_H__
#define 	__HTTPFOLDERPLUGIN_H__

#include	"HttpServer.h"


#define 	HTTP_FOLDER_INGNOREROOT	0x0001				// no folder view for the root path
#define 	HTTP_FOLDER_ADDSPACE	0x0002				// add a space at the begin of a entry


#ifdef  __cplusplus
#define D(a)	a
extern "C" {
#else
#define D(a)	
#endif



int			HttpInitFolder      (                        const char *pBaseUrl,unsigned uFlags,const char *pTypeFilter,int iUserId);
int			HttpRegisterFolder	(HttpConfigData *pConfig,const char *pBaseUrl D(=0),unsigned uFlags D(=0),const char *pTypeFilter D(=0));
int			HttpFolderTrans     (HttpConnection  hConn  ,const char *pPath,const char *pParams,int iRoot D(=0));

#ifdef  __cplusplus
}
#endif

#undef 	D


#endif



