//*****************************************************************************
//*
//*
//*		HttpIconPlugin.h
//*
//*
//*****************************************************************************
//
//	This plugin allows to download special icons. (path "/@I@/<number>")
//
#ifndef 	__HTTPICONPLUGIN_H__
#define 	__HTTPICONPLUGIN_H__

#include	"HttpServer.h"



#ifdef  __cplusplus
#define D(a)	a
extern "C" {
#else
#define D(a)
#endif



int			HttpRegisterIcon	(HttpConfigData *pConfig);
int			HttpGetIconTree		(HttpConnection  hConn,int iTreeItem      ,char *pBuffer,int iSize);
int			HttpGetIconPath		(HttpConnection  hConn,const char *pSuffix,char *pBuffer,int iSize,int iIsFolder D(=0));
int _cdecl	HttpIconRequest	    (HttpConnection  hConn,int iCommand,const  char *pHost,const char *pUrl,const char *pParams);
int			HttpIconTrans		(HttpConnection  hConn,unsigned uIcon);


#ifdef  __cplusplus
}
#endif

#undef 	D


#endif



